<?xml version="1.0"?>

<configuration>
    <parser_instructions>
        <!-- NOTE: entries here are used by the parser when generating output -->
        <!-- NOTE: each filename must be on it's own line as in variable=value-->
        WRITE_PROTECT_BOUNDARY_IN_KB=0
        SECTOR_SIZE_IN_BYTES = 4096
        GROW_LAST_PARTITION_TO_FILL_DISK=true
        FIRST_SECTOR_OF_FIRST_PARTITION=256
    </parser_instructions>

    <!-- NOTE: "physical_partition" are listed in order and apply to UFS devices that have physical partitions -->

    <!-- This is LUN 0 - HLOS LUN" -->
    <physical_partition>
        <partition label="ssd" size_in_kb="ssd-size" type="2C86E742-745E-4FDD-BFD8-B6A7AC638772" bootable="false" readonly="false" filename="" />
        <partition label="persist" size_in_kb="persist-size" type="6C95E238-E343-4BA8-B489-8681ED22AD0B" bootable="false" readonly="false" filename="" />
        <partition label="misc" size_in_kb="misc-size" type="04600328-0CC3-47B8-8EF1-B192C39E3E1F" bootable="false" readonly="false" filename="" />
        <partition label="ubuntu-seed" size_in_kb="ubuntu-seed-size" type="0FC63DAF-8483-4772-8E79-3D69D8477DE4" bootable="false" readonly="false" filename="ubuntu-seed.img" sparse="true"/>
        <partition label="ubuntu-save" size_in_kb="ubuntu-save-size" type="0FC63DAF-8483-4772-8E79-3D69D8477DE4" bootable="false" readonly="false" />
        <partition label="ubuntu-boot" size_in_kb="ubuntu-boot-size" type="0FC63DAF-8483-4772-8E79-3D69D8477DE4" bootable="false" readonly="false" sparse="true"/>
        <partition label="ubuntu-data" size_in_kb="ubuntu-data-size" type="0FC63DAF-8483-4772-8E79-3D69D8477DE4" bootable="false" readonly="false" />
    </physical_partition>

    <!-- This is LUN 1 - Boot LUN A" -->
    <physical_partition>
        <partition label="xbl_a" size_in_kb="xbl_a-size" type="DEA0BA2C-CBDD-4805-B4F9-F428251C3E98" bootable="false" readonly="true" filename="xbl.elf"/>
        <partition label="xbl_config_a" size_in_kb="xbl_config_a-size" type="5A325AE4-4276-B66D-0ADD-3494DF27706A" bootable="false" readonly="false" filename="xbl_config.elf"/>
        <partition label="last_parti" size_in_kb="0" type="00000000-0000-0000-0000-000000000000" bootable="false" readonly="true" filename="" />
    </physical_partition>

    <!-- This is LUN 2 - Boot LUN B" -->
    <physical_partition>
        <partition label="xbl_b" size_in_kb="xbl_b-size" type="DEA0BA2C-CBDD-4805-B4F9-F428251C3E98" bootable="false" readonly="true" filename=""/>
        <partition label="xbl_config_b" size_in_kb="xbl_config_b-size" type="5A325AE4-4276-B66D-0ADD-3494DF27706A" bootable="false" readonly="false" filename=""/>
        <partition label="last_parti" size_in_kb="0" type="00000000-0000-0000-0000-000000000000" bootable="false" readonly="true" filename="" />
    </physical_partition>

    <!-- This is LUN 3 - OTP LUN" -->
    <!-- QCOM development requirement: Ensure all partitions in LUN3 is a multiple of 128k
         Linux Android customers can ignore this requirement -->
    <physical_partition>
        <partition label="ALIGN_TO_128K_1" size_in_kb="ALIGN_TO_128K_1-size" type="FDE1604B-D68B-4BD4-973D-962AE7A1ED88" bootable="false" readonly="true" />
        <partition label="cdt" size_in_kb="cdt-size" type="A19F205F-CCD8-4B6D-8F1E-2D9BC24CFFB1" bootable="false" readonly="true" filename="adp_1_1.0.bin" />
        <partition label="ddr" size_in_kb="ddr-size" type="20A0C19C-286A-42FA-9CE7-F64C3226A794" bootable="false" readonly="true"/>
        <partition label="last_parti" size_in_kb="0" type="00000000-0000-0000-0000-000000000000" bootable="false" readonly="true" filename="" />
    </physical_partition>

    <!-- This is LUN 4 - Protected Read-only LUN" -->
    <physical_partition>
        <!-- These are the 'A' partition's needed for the A/B boot/ota update feature. If you add something to this section remember to add it to B as well
        Partition's that are expected to be OTA upgradable require a A and B version. If the partition you are adding is not expected to be OTA upgradable
        please add it after the 'B' partition list. If you do need to add a OTA upgradable partition please notify the linux team as well." -->
        <partition label="aop_a" size_in_kb="aop_a-size" type="D69E90A5-4CAB-0071-F6DF-AB977F141A7F" bootable="false" readonly="true" filename="aop.mbn"/>
        <partition label="tz_a" size_in_kb="tz_a-size" type="A053AA7F-40B8-4B1C-BA08-2F68AC71A4F4" bootable="false" readonly="true" filename="tz.mbn"/>
        <partition label="hyp_a" size_in_kb="hyp_a-size" type="E1A6A689-0C8D-4CC6-B4E8-55A4320FBD8A" bootable="false" readonly="false" filename="hyp.mbn"/>
        <partition label="mdtpsecapp_a" size_in_kb="mdtpsecapp_a-size" type="EA02D680-8712-4552-A3BE-E6087829C1E6" bootable="false" readonly="true" filename=""/>
        <partition label="mdtp_a" size_in_kb="mdtp_a-size" type="3878408A-E263-4B67-B878-6340B35B11E3" bootable="false" readonly="true" filename=""/>
        <partition label="abl_a" size_in_kb="abl_a-size" type="BD6928A1-4CE0-A038-4F3A-1495E3EDDFFB" bootable="false" readonly="true" filename="abl.elf"/>
        <partition label="keymaster_a" size_in_kb="keymaster_a-size" type="A11D2A7C-D82A-4C2F-8A01-1805240E6626" bootable="false" readonly="true" filename="km4.mbn"/>
        <partition label="boot-ra" size_in_kb="boot-ra-size" type="20117F86-E985-4357-B9EE-374BC1D8487D" bootable="false" readonly="false" filename="boot.img" />
        <partition label="boot-a" size_in_kb="boot-a-size" type="20117F86-E985-4357-B9EE-374BC1D8487D" bootable="false" readonly="false" filename="" />
        <partition label="cmnlib_a" size_in_kb="cmnlib_a-size" type="73471795-AB54-43F9-A847-4F72EA5CBEF5" bootable="false" readonly="true" filename="cmnlib.mbn"/>
        <partition label="cmnlib64_a" size_in_kb="cmnlib64_a-size" type="8EA64893-1267-4A1B-947C-7C362ACAAD2C" bootable="false" readonly="true" filename="cmnlib64.mbn"/>
        <partition label="devcfg_a" size_in_kb="devcfg_a-size" type="F65D4B16-343D-4E25-AAFC-BE99B6556A6D" bootable="false" readonly="false" filename="devcfg_auto.mbn"/>
        <partition label="qupfw_a" size_in_kb="qupfw_a-size" type="21d1219f-2ed1-4ab4-930a-41a16ae75f7f" bootable="false" readonly="false" filename="qupv3fw.elf"/>
        <partition label="vendor_a" size_in_kb="vendor_a-size" type="97D7B011-54DA-4835-B3C4-917AD6E73D74" bootable="false" readonly="false" filename="" sparse="true"/>
        <partition label="dtbo-ra" size_in_kb="dtbo-ra-size" type="24d0d418-d31d-4d8d-ac2c-4d4305188450" bootable="false" readonly="false" filename=""/>
        <partition label="dtbo-a" size_in_kb="dtbo-a-size" type="24d0d418-d31d-4d8d-ac2c-4d4305188450" bootable="false" readonly="false" filename=""/>
        <partition label="uefisecapp_a" size_in_kb="uefisecapp_a-size" type="BE8A7E08-1B7A-4CAE-993A-D5B7FB55B3C2" bootable="false" readonly="false" filename="uefi_sec.mbn"/>
        <partition label="snaprecoverysel" size_in_kb="snapbootsel-size" type="B214D5E4-D442-45E6-B8C6-01BDCD82D396" bootable="false" readonly="false" filename="snaprecoverysel.bin"/>
        <partition label="snapbootsel" size_in_kb="snapbootsel-size" type="B214D5E4-D442-45E6-B8C6-01BDCD82D396" bootable="false" readonly="false" filename="snapbootsel.bin"/>
        <!-- These are the 'B' partition's needed for the A/B boot/ota update feature. A and B partitions must have differrent GUID's. For convinience sake
         we keep all the B partitions with the same GUID" -->
        <partition label="aop_b" size_in_kb="aop_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename=""/>
        <partition label="tz_b" size_in_kb="tz_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename=""/>
        <partition label="hyp_b" size_in_kb="hyp_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename=""/>
        <partition label="mdtpsecapp_b" size_in_kb="mdtpsecapp_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="true" filename=""/>
        <partition label="mdtp_b" size_in_kb="mdtp_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="true" filename=""/>
        <partition label="abl_b" size_in_kb="abl_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="true" filename=""/>
        <partition label="keymaster_b" size_in_kb="keymaster_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="true" filename=""/>
        <partition label="boot-rb" size_in_kb="boot-rb-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename="" />
        <partition label="boot-b" size_in_kb="boot-b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename=""/>
        <partition label="cmnlib_b" size_in_kb="cmnlib_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="true" filename=""/>
        <partition label="cmnlib64_b" size_in_kb="cmnlib64_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="true" filename=""/>
        <partition label="devcfg_b" size_in_kb="devcfg_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename=""/>
        <partition label="qupfw_b" size_in_kb="qupfw_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename=""/>
        <partition label="vendor_b" size_in_kb="vendor_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename="" sparse="true"/>
        <partition label="dtbo-rb" size_in_kb="dtbo-rb-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename=""/>
        <partition label="dtbo-b" size_in_kb="dtbo-b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename=""/>
        <partition label="uefisecapp_b" size_in_kb="uefisecapp_b-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename=""/>
        <partition label="snaprecoveryselbak" size_in_kb="snapbootselbak-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename="snaprecoverysel.bin"/>
        <partition label="snapbootselbak" size_in_kb="snapbootselbak-size" type="77036CD4-03D5-42BB-8ED1-37E5A88BAA34" bootable="false" readonly="false" filename="snapbootsel.bin"/>
        <!-- These are non A/B partitions. In a A/B build these would not be updated via a OTA update -->
        <partition label="devinfo" size_in_kb="devinfo-size" type="65ADDCF4-0C5C-4D9A-AC2D-D90B5CBFCD03" bootable="false" readonly="true" filename=""/>
        <partition label="dip" size_in_kb="dip-size" type="4114B077-005D-4E12-AC8C-B493BDA684FB" bootable="false" readonly="true" filename=""/>
        <partition label="apdp" size_in_kb="apdp-size" type="E6E98DA2-E22A-4D12-AB33-169E7DEAA507" bootable="false" readonly=" false" filename=""/>
        <partition label="spunvm" size_in_kb="spunvm-size" type="e42e2b4c-33b0-429b-b1ef-d341c547022c" bootable="false" readonly="false" filename=""/>
        <partition label="splash" size_in_kb="splash-size" type="AD99F201-DC71-4E30-9630-E19EEF553D1B" bootable="false" readonly="false" filename=""/>
        <partition label="limits" size_in_kb="limits-size" type="10A0C19C-516A-5444-5CE3-664C3226A794" bootable="false" readonly="true"/>
        <partition label="toolsfv" size_in_kb="toolsfv-size" type="97745ABA-135A-44C3-9ADC-05616173C24C" bootable="false" readonly="true"/>
        <partition label="logfs" size_in_kb="logfs-size" type="BC0330EB-3410-4951-A617-03898DBE3372" bootable="false" readonly="false" filename="logfs_ufs_8mb.bin"/>
        <partition label="cateloader" size_in_kb="cateloader-size" type="AA9A5C4C-4F1F-7D3A-014A-22BD33BF7191" bootable="false" readonly="false" filename=""/>
        <partition label="rawdump" size_in_kb="rawdump-size" type="66C9B323-F7FC-48B6-BF96-6F32E335A428" bootable="false" readonly="false" filename=""/>
        <partition label="emac" size_in_kb="emac-size" type="e7e5eff9-d224-4eb3-8f0b-1d2a4be18665" bootable="false" readonly="false" filename=""/>
        <partition label="logdump" size_in_kb="logdump-size" type="5AF80809-AABB-4943-9168-CDFC38742598" readonly="false" bootable="false" filename=""/>
        <partition label="storsec" size_in_kb="storsec-size" type="02DB45FE-AD1B-4CB6-AECC-0042C637DEFA" bootable="false" readonly="true" filename="storsec.mbn"/>
        <partition label="multiimgoem" size_in_kb="multiimgoem-size" type="E126A436-757E-42D0-8D19-0F362F7A62B8" bootable="false" readonly="true" filename="multi_image.mbn"/>
        <partition label="multiimgqti" size_in_kb="multiimgqti-size" type="846C6F05-EB46-4C0A-A1A3-3648EF3F9D0E" bootable="false" readonly="true" filename=""/>
        <partition label="uefivarstore" size_in_kb="uefivarstore-size" type="165BD6BC-9250-4AC8-95A7-A93F4A440066" bootable="false" readonly="true" filename=""/>
        <partition label="secdata" size_in_kb="secdata-size" type="76cfc7ef-039d-4e2c-b81e-4dd8c2cb2a93" bootable="false" readonly="true" filename=""/>
        <partition label="catefv" size_in_kb="catefv-size" type="80c23c26-c3f9-4a19-bb38-1e457daceb09" bootable="false" readonly="true"/>
        <partition label="catecontentfv" size_in_kb="catecontentfv-size" type="e12d830b-7f62-4f0b-b48a-8178c5bf3ac1" bootable="false" readonly="true"/>
        <partition label="last_parti" size_in_kb="0" type="00000000-0000-0000-0000-000000000000" bootable="false" readonly="true" filename="" />
    </physical_partition>

    <!-- This is LUN 5 - Protected Read-write LUN" -->
    <!-- QCOM development requirement: Ensure all partitions in LUN5 is a multiple of 128k.
         Linux Android customers can ignore this requirement -->
    <physical_partition>
        <partition label="ALIGN_TO_128K_2" size_in_kb="ALIGN_TO_128K_2-size" type="6891A3B7-0CCC-4705-BB53-2673CAC193BD" bootable="false" readonly="true" />
        <partition label="modemst1" size_in_kb="modemst1-size" type="EBBEADAF-22C9-E33B-8F5D-0E81686A68CB" bootable="false" readonly="false" filename=""/>
        <partition label="modemst2" size_in_kb="modemst2-size" type="0A288B1F-22C9-E33B-8F5D-0E81686A68CB" bootable="false" readonly="false" filename=""/>
        <partition label="fsg" size_in_kb="fsg-size" type="638FF8E2-22C9-E33B-8F5D-0E81686A68CB" bootable="false" readonly="true" filename=""/>
        <partition label="fsc" size_in_kb="fsc-size" type="57B90A16-22C9-E33B-8F5D-0E81686A68CB" bootable="false" readonly="false" filename=""/>
        <partition label="last_parti" size_in_kb="0" type="00000000-0000-0000-0000-000000000000" bootable="false" readonly="true" filename="" />
    </physical_partition>
</configuration>
